# Class CIM_SerialInterface
extends CIM_ControlledBy

SerialInterface is a ControlledBy relationship that indicates which Devices are accessed through the SerialController and describes the characteristics of this access.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_DeviceConnection
|
+--CIM_ControlledBy
|
+--CIM_SerialInterface

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | SerialInterface is a ControlledBy relationship that indicates which Devices are accessed through the SerialController and describes the characteristics of this access.
UMLPackagePath | string | CIM::Device::Controller
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
FlowControlInfo | uint16 |
Description | string | An integer enumeration that indicates the flow control (Xon-Xoff or RTS/CTS) for transmitted data.
ValueMap | string | 0, 1, 2, 3, 4, 5
Values | string | Unknown, Not Supported, None, XonXoff, RTS/CTS, Both XonXoff and RTS/CTS
NegotiatedDataWidth | uint32 |
Description | string | For the SerialInterface, NegotiatedDataWidth is the number of data bits to be transmitted, without stop bits or parity.
MappingStrings | string | MIF.DMTF|Bus Port Association|001.3
Override | string | NegotiatedDataWidth
PUnit | string | bit
Units | string | Bits
NumberOfStopBits | uint16 |
Description | string | Number of stop bits to be transmitted.
PUnit | string | bit
Units | string | Bits
ParityInfo | uint16 |
Description | string | Information on the parity setting for transmitted data. No parity (value=1), even (value=2), or odd (value=3) can be specified.
ValueMap | string | 0, 1, 2, 3
Values | string | Unknown, None, Even, Odd

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SerialInterface | CIM_SerialController

### Propagated Association References

Name | Class Origin | Reference Class
--- | --- | ---

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AccessMode | uint16 | CIM_ControlledBy
AccessPriority | uint16 | CIM_ControlledBy
AccessState | uint16 | CIM_ControlledBy
DeviceNumber | string | CIM_ControlledBy
NegotiatedSpeed | uint64 | CIM_DeviceConnection
NumberOfHardResets | uint32 | CIM_ControlledBy
NumberOfSoftResets | uint32 | CIM_ControlledBy
TimeOfDeviceReset | datetime | CIM_ControlledBy

## Class Methods